<?php
namespace FiloBLu\PrivacyPolicy\Helper;

use Magento\Framework\App\Helper\Context;
use Magento\Framework\App\Http\Context as HttpContext;
use Magento\Customer\Model\Session;

class Data extends \Magento\Framework\App\Helper\AbstractHelper {

    /** 
     * @var HttpContext
     */
    private $httpContext;

    /**
     * @param Context $context
     * @param HttpContext $httpContext
     */

    public function __construct(
        Context $context,
        HttpContext $httpContext
    ) {
        parent::__construct($context);
        $this->httpContext = $httpContext;
    }


    public function getConfig($config_path)
    {
        return $this->scopeConfig->getValue(
            $config_path,
            \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }

    public function isCustomerLoggedIn()
    {
        return (bool)$this->httpContext->getValue(\Magento\Customer\Model\Context::CONTEXT_AUTH);
    }

}